Subject: Re: [RFC PATCH net-next] sh_eth: add support for r8a7790 SoC

From: Sergei Shtylyov <[email-masked]>
Date: Fri, 10 May 2013 15:10:55 +0400

Hello.

On 10-05-2013 12:35, Magnus Damm wrote:

>> Cc: Sergei Shtylyov <[email-masked]>
>> Signed-off-by: Simon Horman <[email-masked]>
>> ---
>>   drivers/net/ethernet/renesas/Kconfig  |  2 +-
>>   drivers/net/ethernet/renesas/sh_eth.c | 10 ++++++++--
>>   drivers/net/ethernet/renesas/sh_eth.h |  1 +
>>   3 files changed, 10 insertions(+), 3 deletions(-)

> Thanks for your work on this driver.

>> diff --git a/drivers/net/ethernet/renesas/Kconfig b/drivers/net/ethernet/renesas/Kconfig
>> index bed9841..d664c0f 100644
>> --- a/drivers/net/ethernet/renesas/Kconfig
>> +++ b/drivers/net/ethernet/renesas/Kconfig
>> @@ -9,7 +9,7 @@ config SH_ETH
>>                   CPU_SUBTYPE_SH7763 || CPU_SUBTYPE_SH7619 || \
>>                   CPU_SUBTYPE_SH7724 || CPU_SUBTYPE_SH7734 || \
>>                   CPU_SUBTYPE_SH7757 || ARCH_R8A7740 || \
>> -                ARCH_R8A7778 || ARCH_R8A7779)
>> +                ARCH_R8A7778 || ARCH_R8A7779 || ARCH_R8A7790)

> As much as I want to see R8A7790 support right away, wouldn't it be
> nice _not_ to have this dependency crap in the Kconfig? We are already
> multi-SoC within mach-shmobile ARM and soon we will be multi-subarch.

> I actually thought that this was already taken care of. What is your
> opinion? Perhaps there are already queued up cleanup patches that
> handle this?

     No, AFAIK. I haven't gotten around to the big cleanups yet.

> Thanks,

> / magnus

WBR, Sergei